Package org.eclipse.ui.texteditor

## Class RetargetTextEditorAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.texteditor.ResourceAction
        - - org.eclipse.ui.texteditor.RetargetTextEditorAction

All Implemented Interfaces:
  `IAction`

    public final class RetargetTextEditorAction
    extends ResourceAction

Action used by an editor action bar contributor to establish placeholders in menus or action bars which can be retargeted to dynamically changing actions, for example, those which come from the active editor. This action assumes that the "wrapped" action sends out property change events in response to state changes. It uses these change notifications to adapt its enabling state and its visual presentation.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`RetargetTextEditorAction​(ResourceBundle bundle, String prefix)` Creates a new action.
`RetargetTextEditorAction​(ResourceBundle bundle, String prefix, int style)` Creates a new action.
`RetargetTextEditorAction​(ResourceBundle bundle, String prefix, String actionId)` Creates a new action.
`RetargetTextEditorAction​(ResourceBundle bundle, String prefix, String actionId, int style)` Creates a new action.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()` The default implementation of this `IAction` method does nothing.
`void` `setAction​(IAction action)` Sets the underlying action.
`void` `setHelpListener​(HelpListener listener)` The `RetargetTextEditorAction` implementation of this method declared on `IAction` stores the help listener in a local field.

### Methods inherited from class org.eclipse.ui.texteditor.ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetargetTextEditorAction

    public RetargetTextEditorAction​(ResourceBundle bundle,
                                    String prefix,
                                    int style)

Creates a new action. The action configures its initial visual representation from the given resource bundle. If this action's wrapped action is set to `null` it also uses the information in the resource bundle.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `style` - one of `IAction.AS_PUSH_BUTTON`, `IAction.AS_CHECK_BOX`, and `IAction.AS_RADIO_BUTTON`.
Since:
  2.1
See Also:
  `ResourceAction(ResourceBundle, String, int)`, `IAction.AS_CHECK_BOX`, `IAction.AS_DROP_DOWN_MENU`, `IAction.AS_PUSH_BUTTON`, `IAction.AS_RADIO_BUTTON`

#### RetargetTextEditorAction

    public RetargetTextEditorAction​(ResourceBundle bundle,
                                    String prefix)

Creates a new action. The action configures its initial visual representation from the given resource bundle. If this action's wrapped action is set to `null` it also uses the information in the resource bundle.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
See Also:
  `ResourceAction(ResourceBundle, String)`

#### RetargetTextEditorAction

    public RetargetTextEditorAction​(ResourceBundle bundle,
                                    String prefix,
                                    String actionId,
                                    int style)

Creates a new action. The action configures its initial visual representation from the given resource bundle. If this action's wrapped action is set to `null` it also uses the information in the resource bundle. The action gets the given action id.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `actionId` - the action id
  `style` - one of `IAction.AS_PUSH_BUTTON`, `IAction.AS_CHECK_BOX`, and `IAction.AS_RADIO_BUTTON`.
Since:
  2.1
See Also:
  `ResourceAction(ResourceBundle, String, int)`, `IAction.AS_CHECK_BOX`, `IAction.AS_DROP_DOWN_MENU`, `IAction.AS_PUSH_BUTTON`, `IAction.AS_RADIO_BUTTON`

#### RetargetTextEditorAction

    public RetargetTextEditorAction​(ResourceBundle bundle,
                                    String prefix,
                                    String actionId)

Creates a new action. The action configures its initial visual representation from the given resource bundle. If this action's wrapped action is set to `null` it also uses the information in the resource bundle. The action gets the given action id.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `actionId` - the action id
Since:
  2.0
See Also:
  `ResourceAction(ResourceBundle, String)`

### Method Detail

#### setAction

    public void setAction​(IAction action)

Sets the underlying action.

Parameters:
  `action` - the underlying action

#### setHelpListener

    public void setHelpListener​(HelpListener listener)

The `RetargetTextEditorAction` implementation of this method declared on `IAction` stores the help listener in a local field. The supplied listener is only used if there is no handler.

Specified by:
  `setHelpListener` in interface `IAction`
Overrides:
  `setHelpListener` in class `Action`
Parameters:
  `listener` - the help listener
Since:
  2.1

#### run

    public void run()

Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `How radio buttons are handled`, `How check boxes are handled`